import axios from 'axios';

interface ITutorialData {
  paymentId: number;
  paymentCode: string;
  paymentMethod: string;
}

const APIURL = 'http://st1.fawaterk.com:8181/api/v2';

const instanceAPI = axios.create({
  baseURL: APIURL,
});

instanceAPI.interceptors.request.use(
  (config) => {
    if (config.method === 'post' && config.data === undefined) {
      config.data = {};
    }
    return config;
  },
  (error) => Promise.reject(error)
);

export const getInvoicePaymentTypes = async (TOKEN: string) => {
  const result = await instanceAPI.post<Array<ITutorialData>>(
    '/invoice/paymentType',
    {},
    {
      headers: {
        Authorization: `Bearer ${TOKEN}`,
      },
    }
  );
  return result.data;
};
